15a6a8179e
Resolves: RHEL-12409,RHEL-14251,RHEL-15012,RHEL-5732,RHEL-9479
57 lines
1.7 KiB
Diff
57 lines
1.7 KiB
Diff
From 8e933e8c8208ce16a79661379420e450b7f4a778 Mon Sep 17 00:00:00 2001
|
|
From: Pavel Valena <pvalena@redhat.com>
|
|
Date: Wed, 7 Jun 2023 22:12:45 +0200
|
|
Subject: [PATCH] fix(fcoe-uefi): exit early on empty vlan
|
|
|
|
Exit early in case get_fcoe_boot_vlan exits with error or just an empty string,
|
|
instead of producing invalid config entry.
|
|
|
|
(Cherry-picked commit: 45fc8df1cf3fdf9726efda4d26c7cccb9e6aedd2
|
|
PR: https://github.com/dracutdevs/dracut/pull/2379)
|
|
|
|
Resolves: RHEL-14251
|
|
---
|
|
modules.d/95fcoe-uefi/parse-uefifcoe.sh | 29 ++++++++++++++++-------------
|
|
1 file changed, 16 insertions(+), 13 deletions(-)
|
|
|
|
diff --git a/modules.d/95fcoe-uefi/parse-uefifcoe.sh b/modules.d/95fcoe-uefi/parse-uefifcoe.sh
|
|
index e120dec3..b341c963 100755
|
|
--- a/modules.d/95fcoe-uefi/parse-uefifcoe.sh
|
|
+++ b/modules.d/95fcoe-uefi/parse-uefifcoe.sh
|
|
@@ -9,19 +9,22 @@ print_fcoe_uefi_conf() {
|
|
mac=$(get_fcoe_boot_mac "$1")
|
|
[ -z "$mac" ] && return 1
|
|
dev=$(set_ifname fcoe "$mac")
|
|
- vlan=$(get_fcoe_boot_vlan "$1")
|
|
- if [ "$vlan" -ne "0" ]; then
|
|
- case "$vlan" in
|
|
- [0-9]*)
|
|
- printf "%s\n" "vlan=$dev.$vlan:$dev"
|
|
- dev="$dev.$vlan"
|
|
- ;;
|
|
- *)
|
|
- printf "%s\n" "vlan=$vlan:$dev"
|
|
- dev="$vlan"
|
|
- ;;
|
|
- esac
|
|
- fi
|
|
+ vlan=$(get_fcoe_boot_vlan "$1") || return 1
|
|
+ case "$vlan" in
|
|
+ "0") ;;
|
|
+
|
|
+ '')
|
|
+ return 1
|
|
+ ;;
|
|
+ [0-9]*)
|
|
+ printf "%s\n" "vlan=$dev.$vlan:$dev"
|
|
+ dev="$dev.$vlan"
|
|
+ ;;
|
|
+ *)
|
|
+ printf "%s\n" "vlan=$vlan:$dev"
|
|
+ dev="$vlan"
|
|
+ ;;
|
|
+ esac
|
|
# fcoe=eth0:nodcb
|
|
printf "fcoe=%s\n" "$dev:nodcb"
|
|
return 0
|